summaryrefslogtreecommitdiffstats
path: root/fish/test-tilde.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-03-12 15:09:15 +0000
committerRichard W.M. Jones <rjones@redhat.com>2012-03-12 15:09:15 +0000
commit1f603bfd6d7cd17e88f737a496b7e5ee053750c2 (patch)
treed9d93107f51f5b913349af85dff39402c063d3cf /fish/test-tilde.sh
parent2c8ead5aa0e6b821bf2d21a89e437e9a6c0ed1ca (diff)
downloadlibguestfs-1f603bfd6d7cd17e88f737a496b7e5ee053750c2.tar.gz
libguestfs-1f603bfd6d7cd17e88f737a496b7e5ee053750c2.tar.xz
libguestfs-1f603bfd6d7cd17e88f737a496b7e5ee053750c2.zip
fish: Rename tests and make test paths relative.
When these tests were originally in the old regressions/ directory, they used to refer to guestfish via the path '../fish/guestfish'. Some of the tests were also called 'test-guestfish-*'. Now that the tests have been moved into the fish/ directory, neither of these things make sense. So change the relative path to './guestfish' and rename all 'test-guestfish-*' as 'test-*'.
Diffstat (limited to 'fish/test-tilde.sh')
-rwxr-xr-xfish/test-tilde.sh70
1 files changed, 70 insertions, 0 deletions
diff --git a/fish/test-tilde.sh b/fish/test-tilde.sh
new file mode 100755
index 00000000..cf39d339
--- /dev/null
+++ b/fish/test-tilde.sh
@@ -0,0 +1,70 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test guestfish tilde expansion.
+# RHBZ#617440 guestfish: fails to tilde expand '~' when the $HOME env is unset
+# RHBZ#511372 guestfish doesn't understand '~' in filenames
+# and multiple other fixes to tilde handling.
+
+set -e
+
+# Don't rely on $HOME being set when this script is called.
+HOME=$(pwd)
+export HOME
+
+if [ `echo 'echo ~' | ./guestfish` != "$HOME" ]; then
+ echo "$0: failed: did not expand ~ correctly"
+ exit 1
+fi
+
+if [ `echo 'echo ~/foo' | ./guestfish` != "$HOME/foo" ]; then
+ echo "$0: failed: did not expand ~/foo correctly"
+ exit 1
+fi
+
+# We can be reasonably sure that the root user will always exist and
+# should have a home directory.
+root="$(echo ~root)"
+
+if [ `echo 'echo ~root' | ./guestfish` != "$root" ]; then
+ echo "$0: failed: did not expand ~root correctly"
+ exit 1
+fi
+
+if [ `echo 'echo ~root/foo' | ./guestfish` != "$root/foo" ]; then
+ echo "$0: failed: did not expand ~root/foo correctly"
+ exit 1
+fi
+
+# RHBZ#617440
+unset HOME
+home="$(echo ~)"
+
+if [ `echo 'echo ~' | ./guestfish` != "$home" ]; then
+ echo "$0: failed: did not expand ~ correctly when \$HOME unset"
+ exit 1
+fi
+
+if [ `echo 'echo ~/foo' | ./guestfish` != "$home/foo" ]; then
+ echo "$0: failed: did not expand ~/foo correctly when \$HOME unset"
+ exit 1
+fi
+
+# Setting $HOME to pwd above causes guestfish to create a history
+# file. Remove it.
+rm -f .guestfish